
while read p
do
num=`echo $p | awk '{print $1}'`
chi=`echo $p | awk '{print $2}'`
DIR=zinc_$num/energy

for k in mm 3ob mndo
#for k in mm
do
touch $DIR/temp.mm.dat
touch $DIR/temp.3ob.dat
touch $DIR/temp.mndo.dat
#for i in 1 2 3 5 6 7 8 9 10
for i in {1..10}
do 
awk 'FNR > 1 {printf"%.5f     %.5f\n", $1, $2}' $DIR/mol.$k.mm.$i.ene > $DIR/mol.$k.mm.$i.tmp
awk 'FNR > 1 {printf"%.5f     %.5f\n", $1, $2}' $DIR/mol.$k.3ob.$i.ene > $DIR/mol.$k.3ob.$i.tmp
awk 'FNR > 1 {printf"%.5f     %.5f\n", $1, $2}' $DIR/mol.$k.mndo.$i.ene > $DIR/mol.$k.mndo.$i.tmp
cat $DIR/temp.mm.dat $DIR/mol.$k.mm.$i.tmp > $DIR/temp2.mm.dat
cat $DIR/temp.3ob.dat $DIR/mol.$k.3ob.$i.tmp > $DIR/temp2.3ob.dat
cat $DIR/temp.mndo.dat $DIR/mol.$k.mndo.$i.tmp > $DIR/temp2.mndo.dat
mv $DIR/temp2.mm.dat $DIR/temp.mm.dat
mv $DIR/temp2.3ob.dat $DIR/temp.3ob.dat
mv $DIR/temp2.mndo.dat $DIR/temp.mndo.dat
done
mv $DIR/temp.mm.dat $DIR/mol.$k.mm.ene
mv $DIR/temp.3ob.dat $DIR/mol.$k.3ob.ene
mv $DIR/temp.mndo.dat $DIR/mol.$k.mndo.ene
rm $DIR/*.tmp
done

#paste $DIR/mol.mm.mm.ene $DIR/mol.mm.3ob.ene | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.mm.3ob.fw
#cp $DIR/mol.mm.3ob.fw data/zinc_$num.mm.3ob.fw

paste $DIR/mol.mm.mm.ene $DIR/mol.mm.3ob.ene | grep -v ' 0.00000' | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.mm.3ob.fw
cp $DIR/mol.mm.3ob.fw data/zinc_$num.mm.3ob.fw

paste $DIR/mol.3ob.3ob.ene $DIR/mol.3ob.mm.ene | grep -v ' 0.00000' | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.mm.3ob.bw
cp $DIR/mol.mm.3ob.bw data/zinc_$num.mm.3ob.bw

paste $DIR/mol.mm.mm.ene $DIR/mol.mm.mndo.ene | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.mm.mndo.fw
cp $DIR/mol.mm.mndo.fw data/zinc_$num.mm.mndo.fw

paste $DIR/mol.mndo.mndo.ene $DIR/mol.mndo.mm.ene | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.mm.mndo.bw
cp $DIR/mol.mm.mndo.bw data/zinc_$num.mm.mndo.bw

paste $DIR/mol.3ob.3ob.ene $DIR/mol.3ob.mndo.ene | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.3ob.mndo.fw
cp $DIR/mol.3ob.mndo.fw data/zinc_$num.3ob.mndo.fw

paste $DIR/mol.mndo.mndo.ene $DIR/mol.mndo.3ob.ene | awk 'NF >= 4 {printf"%.5f\n", $4-$2}' > $DIR/mol.3ob.mndo.bw
cp $DIR/mol.3ob.mndo.bw data/zinc_$num.3ob.mndo.bw

echo "Working on MM to 3ob"
echo "FEP MM-->3ob (fw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.mm.3ob.fw mm > data/zinc_$num.mm.3ob.fw.fep.dat
echo "dU stats for MM to 3ob (fw)" > data/zinc_$num.mm.3ob.fw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.mm.3ob.fw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' $DIR/mol.mm.3ob.fw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.mm.3ob.fw`
echo "${aver} ${stdev}" >> data/zinc_$num.mm.3ob.fw.du.dat

echo "FEP 3ob-->MM (bw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.mm.3ob.bw 3ob >  data/zinc_$num.mm.3ob.bw.fep.dat
echo "dU stats for MM to 3ob (bw)" > data/zinc_$num.mm.3ob.bw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.mm.3ob.bw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' $DIR/mol.mm.3ob.bw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.mm.3ob.bw`
echo "${aver} ${stdev}" >> data/zinc_$num.mm.3ob.bw.du.dat

echo "BAR MM<-->3ob"
lua scripts/bar-bot.lua $DIR/mol.mm.3ob.fw $DIR/mol.mm.3ob.bw > data/zinc_$num.mm.3ob.bar.dat

echo "Working on MM to mndo"
echo "FEP MM-->mndo (fw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.mm.mndo.fw mm > data/zinc_$num.mm.mndo.fw.fep.dat
echo "dU stats for MM to mndo (fw)" > data/zinc_$num.mm.mndo.fw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.mm.mndo.fw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' $DIR/mol.mm.mndo.fw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.mm.mndo.fw`
echo "${aver} ${stdev}" >> data/zinc_$num.mm.mndo.fw.du.dat

echo "FEP mndo-->MM (bw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.mm.mndo.bw mndo >  data/zinc_$num.mm.mndo.bw.fep.dat
echo "dU stats for MM to mndo (bw)" > data/zinc_$num.mm.mndo.bw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.mm.mndo.bw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' $DIR/mol.mm.mndo.bw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.mm.mndo.bw`
echo "${aver} ${stdev}" >> data/zinc_$num.mm.mndo.bw.du.dat

echo "BAR MM<-->mndo"
lua scripts/bar-bot.lua $DIR/mol.mm.mndo.fw $DIR/mol.mm.mndo.bw > data/zinc_$num.mm.mndo.bar.dat

echo "Working on 3ob to mndo"
echo "FEP 3ob-->mndo (fw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.3ob.mndo.fw 3ob > data/zinc_$num.3ob.mndo.fw.fep.dat
echo "dU stats for 3ob to mndo (fw)" > data/zinc_$num.3ob.mndo.fw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.3ob.mndo.fw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' $DIR/mol.3ob.mndo.fw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.3ob.mndo.fw`
echo "${aver} ${stdev}" >> data/zinc_$num.3ob.mndo.fw.du.dat

echo "FEP mndo-->3ob (bw)"
/bin/bash scripts/fep-bot.sh $DIR/mol.3ob.mndo.bw mndo >  data/zinc_$num.3ob.mndo.bw.fep.dat
echo "dU stats for 3ob to mndo (bw)" > data/zinc_$num.3ob.mndo.bw.du.dat
echo "du + stdev(du)" >> data/zinc_$num.3ob.mndo.bw.du.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{print"%.5f\n", s/NR;}' $DIR/mol.3ob.mndo.fw`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' $DIR/mol.3ob.mndo.fw`
echo "${aver} ${stdev}" >> data/zinc_$num.3ob.mndo.bw.du.dat

echo "BAR 3ob<-->mndo"
lua scripts/bar-bot.lua $DIR/mol.3ob.mndo.fw $DIR/mol.3ob.mndo.bw > data/zinc_$num.3ob.mndo.bar.dat

done < list2.dat

