while read p
do

num=`echo $p | awk '{print $1}'`
DIR1=zinc_$num/energy
DIR2=zinc_$num/paths

for k in mm mndo 3ob
do
for m in mm mndo 3ob
do

for i in {1..10}
do

awk 'FNR > 1 {printf"%.5f     %.5f\n", $1, $2}' $DIR1/mol.$k.$m.$i.ene > $DIR1/mol.$k.$m.$i.tmp

done
done 
done

for i in {1..10}
do

paste $DIR1/mol.mm.mm.$i.tmp $DIR1/mol.mm.3ob.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.mm.3ob.$i.fw
paste $DIR1/mol.3ob.3ob.$i.tmp $DIR1/mol.3ob.mm.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.mm.3ob.$i.bw
paste $DIR1/mol.mm.mm.$i.tmp $DIR1/mol.mm.mndo.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.mm.mndo.$i.fw
paste $DIR1/mol.mndo.mndo.$i.tmp $DIR1/mol.mndo.mm.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.mm.mndo.$i.bw
paste $DIR1/mol.3ob.3ob.$i.tmp $DIR1/mol.3ob.mndo.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.3ob.mndo.$i.fw
paste $DIR1/mol.mndo.mndo.$i.tmp $DIR1/mol.mndo.3ob.$i.tmp | awk '{printf"%.5f\n", $4-$2}' > $DIR1/mol.3ob.mndo.$i.bw

done


for k in mm
do

for m in mndo 3ob
do

echo "Working on ${num}, ${k} to ${m} with SB-BAR"
echo "Working on ${num}, ${k} to ${m} with SB-BAR" > data/zinc_$num.$k.$m.sbbar.dat
lua scripts/bar-bot.lua $DIR1/mol.$k.$m.fw $DIR1/mol.$k.$m.bw >> data/zinc_$num.$k.$m.sbbar.dat

for i in {1..10}
do

echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}"
echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}" >> data/zinc_$num.$k.$m.sbbar.dat
lua scripts/bar-bot.lua $DIR1/mol.$k.$m.$i.fw $DIR1/mol.$k.$m.$i.bw >> data/zinc_$num.$k.$m.sbbar.dat

done

datot=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk ' FNR == 1 {printf"%.5f\n", $3}'`
blkavg=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk 'FNR > 1 {sum+=$3} END {printf"%.5f\n", sum/(NR - 1)}' `
blkstdev=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk -v blkavg=$blkavg 'FNR > 1 {totsq+=(($3-blkavg)**2)} END {printf"%.5f\n", totsq/(NR - 1)}'`
echo "da ${datot} dablocks ${blkavg} blockstdev ${blkstdev}" >> data/zinc_$num.$k.$m.sbbar.dat

#done
done
done

k=3ob
m=mndo
echo "Working on ${num}, ${k} to ${m} with SB-BAR"
echo "Working on ${num}, ${k} to ${m} with SB-BAR" > data/zinc_$num.$k.$m.sbbar.dat
lua scripts/bar-bot.lua $DIR1/mol.$k.$m.fw $DIR1/mol.$k.$m.bw >> data/zinc_$num.$k.$m.sbbar.dat



for i in {1..10}
do
echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}" 
echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}" >> data/zinc_$num.$k.$m.sbbar.dat
lua scripts/bar-bot.lua $DIR1/mol.$k.$m.$i.fw $DIR1/mol.$k.$m.$i.bw >> data/zinc_$num.$k.$m.sbbar.dat
done

datot=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk ' FNR == 1 {printf"%.5f\n", $3}'`
blkavg=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk 'FNR > 1 {sum+=$3} END {printf"%.5f\n", sum/(NR - 1)}' `
blkstdev=`grep 'dabar' data/zinc_$num.$k.$m.sbbar.dat | awk -v blkavg=$blkavg 'FNR > 1 {totsq+=(($3-blkavg)**2)} END {printf"%.5f\n", totsq/(NR - 1)}'`
echo "da ${datot} dablocks ${blkavg} blockstdev ${blkstdev}" >> data/zinc_$num.$k.$m.sbbar.dat


rm $DIR1/mol.*.tmp

done < list2.dat
