#!/bin/bash

SCRIPTPATH="../../scripts"
TMPFILE="./tmp/fep.tmp"

mkdir -p ./tmp
rm -f ${TMPFILE}

paste ene_mm_mm.dat ene_mm_scc.dat | \
    awk '{printf("%12.5f\n",$2-$1)}' > ${TMPFILE}

awk -f ${SCRIPTPATH}/expave1.awk ${TMPFILE}
for i in {1..10}
do
    head -$(($i*10000)) ${TMPFILE} | tail -10000 | \
        awk -f ${SCRIPTPATH}/expave1.awk 
done | awk -f ${SCRIPTPATH}/stat1.awk