#!/bin/bash
export DIR=`pwd`
while read p
do
cp fswi-inputs/fswi-3ob2.slu zinc_$p/
cd zinc_$p/
mkdir switches/ data/ output/
   for j in {1..10}
      do
      echo $p "mm to 3ob" $j
      sbatch fswi-3ob2.slu zinc_${p} mol ${j} mm 3ob 1000 10000
      echo $p "3ob to mm" $j
      sbatch fswi-3ob2.slu zinc_${p} mol ${j} 3ob mm 1000 1000
   done
cd $DIR
sleep 60s
done < list.dat

