nswi=${1:-1000}
export DIR=`pwd`

while read p
do

echo "Working on $p, ${nswi}-step switches"
cd zinc_$p/data/

j=mm
k=3ob
echo "Working on ${j} to ${k} with JAR"
cat fswi_${j}_${k}.*.nswi${nswi}.dat > fswi_${j}_${k}.nswi${nswi}.dat.tmp
grep -v '*' fswi_${j}_${k}.nswi${nswi}.dat.tmp > fswi_${j}_${k}.nswi${nswi}.dat.tmp2
grep '-' fswi_${j}_${k}.nswi${nswi}.dat.tmp2 > fswi_${j}_${k}.nswi${nswi}.dat
rm fswi_${j}_${k}.nswi${nswi}.dat.tmp*
/bin/bash ../../scripts/jarbot.sh $j $k ${nswi} > $DIR/data/zinc_$p.${j}.${k}.nswi${nswi}.jar.dat
echo "Working on Wstats for ${j} to ${k}"
echo "W stats for ${j} to ${k}" > $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
echo "avg(W) + stdev(W)" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' fswi_${j}_${k}.nswi${nswi}.dat`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' fswi_${j}_${k}.nswi${nswi}.dat`
echo "${aver} ${stdev}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat

#j=mm
#k=mndo
#echo "Working on ${j} to ${k} with JAR"
#cat fswi_${j}_${k}.*.nswi${nswi}.dat > fswi_${j}_${k}.nswi${nswi}.dat
#/bin/bash ../../scripts/jarbot.sh $j $k ${nswi} > $DIR/data/zinc_$p.${j}.${k}.nswi${nswi}.jar.dat
#echo "Working on Wstats for ${j} to ${k}"
#echo "W stats for ${j} to ${k}" > $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
#echo "avg(W) + stdev(W)" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
#aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' fswi_${j}_${k}.nswi${nswi}.dat`
#stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' fswi_${j}_${k}.nswi${nswi}.dat`
#echo "${aver} ${stdev}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat

j=3ob
k=mm
echo "Working on ${j} to ${k} with JAR"
cat fswi_${j}_${k}.*.nswi${nswi}.dat > fswi_${j}_${k}.nswi${nswi}.dat.tmp
grep -v '*' fswi_${j}_${k}.nswi${nswi}.dat.tmp > fswi_${j}_${k}.nswi${nswi}.dat
rm fswi_${j}_${k}.nswi${nswi}.dat.tmp
/bin/bash ../../scripts/jarbot.sh $j $k ${nswi} > $DIR/data/zinc_$p.${j}.${k}.nswi${nswi}.jar.dat
echo "Working on Wstats for ${j} to ${k}"
echo "W stats for ${j} to ${k}" > $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
echo "avg(W) + stdev(W)" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' fswi_${j}_${k}.nswi${nswi}.dat`
stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' fswi_${j}_${k}.nswi${nswi}.dat`
echo "${aver} ${stdev}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat

#j=mndo
#k=mm
#echo "Working on ${j} to ${k} with JAR"
#cat fswi_${j}_${k}.*.nswi${nswi}.dat > fswi_${j}_${k}.nswi${nswi}.dat
#/bin/bash ../../scripts/jarbot.sh $j $k ${nswi} > $DIR/data/zinc_$p.${j}.${k}.nswi${nswi}.jar.dat
#echo "Working on Wstats for ${j} to ${k}"
#echo "W stats for ${j} to ${k}" > $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
#echo "avg(W) + stdev(W)" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat
#aver=`awk 'BEGIN{s=0;}{s=s+$1;}END{printf"%.5f\n", s/NR;}' fswi_${j}_${k}.nswi${nswi}.dat`
#stdev=`awk '{sum+=$1; sumsq+=$1*$1} END {printf"%.5f\n", sqrt(sumsq/NR - (sum/NR)^2)}' fswi_${j}_${k}.nswi${nswi}.dat`
#echo "${aver} ${stdev}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.Wstat.dat

j=mm
for k in 3ob
#for k in 3ob mndo
do
echo "Working on ${j} to ${k} with CRO"
echo "Working on ${j} to ${k} with CRO" > $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat
lua ../../scripts/bar-bot.lua fswi_${j}_${k}.nswi${nswi}.dat fswi_${k}_${j}.nswi${nswi}.dat >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat
for i in {1..10}
do
echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}"
echo "Working on ${num}, ${k} to ${m} with SB-BAR, data set ${i}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat
lua ../../scripts/bar-bot.lua fswi_${j}_${k}.${i}.nswi${nswi}.dat fswi_${k}_${j}.${i}.nswi${nswi}.dat  >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat
done
datot=`grep 'dabar' $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat | awk ' FNR == 1 {printf"%.5f\n", $3}'`
blkavg=`grep 'dabar' $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat | awk 'FNR > 1 {sum+=$3} END {printf"%.5f\n", sum/(NR - 1)}' `
blkstdev=`grep 'dabar' $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat | awk -v blkavg=$blkavg 'FNR > 1 {totsq+=(($3-blkavg)**2)} END {printf"%.5f\n", totsq/(NR - 1)}'`
echo "da ${datot} dablocks ${blkavg} blockstdev ${blkstdev}" >> $DIR/data/zinc_${p}.${j}.${k}.nswi${nswi}.sbcro.dat
done
#done


cd $DIR
done < list.dat
