#!/bin/bash

SCRIPTPATH="../../scripts"
TMPFILE="./tmp/fep_dilu.tmp"

mkdir -p ./tmp
rm -f ${TMPFILE}

paste ene_mm_mm.dat ene_mm_scc.dat | \
    awk '{++i; if (i%10==0) printf("%12.5f\n",$2-$1)}' > ${TMPFILE}

awk -f ${SCRIPTPATH}/expave1.awk ${TMPFILE}
for i in {1..10}
do
    head -$(($i*1000)) ${TMPFILE} | tail -1000 | \
        awk -f ${SCRIPTPATH}/expave1.awk 
done | awk -f ${SCRIPTPATH}/stat1.awk