#!/bin/bash

LOT1=$1
LOT2=$2
NSWI=${3:-1000}

SCRIPTPATH="../../scripts"

numpoints=`wc -l fswi_${LOT1}_${LOT2}.nswi${NSWI}.dat`

echo "Working on ${LOT1} to ${LOT2}, using JAR with ${numpoints} ${NSWI}-step switches"

awk -f ${SCRIPTPATH}/expave1.awk fswi_${LOT1}_${LOT2}.nswi${NSWI}.dat
#for i in {1..9}
for i in {1..10}
do
    head -$(($i*1000)) fswi_${LOT1}_${LOT2}.nswi${NSWI}.dat | tail -1000 | \
        awk -f ${SCRIPTPATH}/expave1.awk 
done | awk -f ${SCRIPTPATH}/stat1.awk
